# 虎牙视频

## 调用语法参数说明

 调用语法列表和多玩视频列表是一样的,唯一的区别是增加了读取虎牙视频数据的结构

可用语法：
```
 $data.getJsonList("video.rank", "标签(多个逗号分隔)")
 $data.getJsonList("video.rank", "专区ID", "标签(多个逗号分隔)")
 $data.getJsonList("video.rank", "专区ID", "标签(多个逗号分隔)", "排序方式(day#month#year)")
 $data.getJsonList("video.rank", "专区ID", "标签(多个逗号分隔)", "排序方式(day#month#year)", "取多少条")
```

获取数据:

| 获取信息 | 语法 |
| --------- | ----- |
| 视频所属专区 | $json.get("video_channel")|
| 视频播放量 | $json.get("video_play_num")|
| 视频评论数 | $json.get("video_comment_num")|
| 视频封面 | $json.get("video_cover")|
| 用户昵称 | $json.get("user_nickname")|
| 视频标题 | $json.get("video_title")|
| 视频副标题 | $json.get("video_subtitle")|
| 用户主页 | $json.get("user_homepage")|
| 视频标签 | $json.get("video_tags")|
| 视频介绍 | $json.get("video_intro")|
| 视频播放地址 | $json.get("video_url")|
| 用户ID | $json.get("user_id")|
| 视频上传时间 | $json.get("video_upload_time")|
| 视频时常 | $json.get("video_duration")|
| 用户头像 | $json.get("user_avatar")|
| 视频ID | $json.get("vid")|
## 代码示例

### 普通列表

```
<ul class="video-channel-list clearfix">
    #set ($list=$data.getPicList("妹纸",0,255,0,4))
    #set ($length=$data.getLength($list))
    #foreach($one in $list)
    #set ($json = $data.getJsonData("video.article",$one.getString('articleid')))
    <li><a href="$json.get('video_url')?from=dnfapp"  title="$one.title">
        <div class="video-channel-img"><img data-echo="$json.get('video_cover')" alt="$one.title"/><span>$json.get('video_duration')</span></div>
        <p class="video-channel-title">$json.get('video_title')</p>
        <div class="video-meta">
            <a class="video-user" href="$json.get('user_homepage')"><i></i>$json.get('user_nickname')</a>
            <span class="video-num"><i></i>$json.get('video_play_num')</span>
        </div>
    </a>
    </li>
    #end
</ul>
```

可以看到和普通视频的区别就在于
```
#set ($json = $data.getJsonData("video.article",$one.getString('articleid')))
```

## 虎牙视频热门视频
```
$data.getJsonList("video.hot", "取多少条")
$data.getJsonList("video.hot", "专区ID", "取多少条")
```
其他语法和读取视频列表相同