# 图片列表

图片列表指的是只调用有头图的列表, 也就是会判断新闻是否有上传头图,无则不调用

## 调用语法参数说明


| 名字 | 描述 |
| --------- | ----- |
| tag | tag标签 |
| powerfrom | 权重开始 |
| powerto | 权重结束 |
| start | 开始位置 |
| len | 调用长度 |
| 频道id/频道中文名 | 专区名字 |

不跨专区
```
$data.getPicList(tag,powerfrom,powerto,start,len)或
$data.getPicList(tag,powerfrom,powerto,len)或
$data.getPicList(tag,start,len)或
$data.getPicList(tag,len)
```
跨专区
```
$data.getPicListOther(频道id/频道中文名,tag,powerfrom,powerto,start,len)或
$data.getPicListOther(频道id/频道中文名,tag,powerfrom,powerto,len)或
$data.getPicListOther(频道id/频道中文名,tag,start,len)或
$data.getPicListOther(频道id/频道中文名,tag,len)
```
`ex`
```
$data.getPicList(“最新视频”,60,255,0,10)
$data.getPicListOther("英雄联盟",“最新视频”,60,255,0,10)
```
## 代码示例

需要获取的内容有标题，链接，图片地址


    <ul class="mod-picList">
        #set ($list=$data.getPicList("新游首曝",60,255,9))
        #foreach($one in $list)
        #set ($thislink=$data.getRelatedUrl($one.getString("articleid")))
        #set ($title=$one.getString("title"))
        #set ($picurl=$one.getString("picurl"))
        <li class="indexRecom__list">
            <a href="$thislink" title="$title" class="mod-picList__link">
                <img src="$picurl" alt="$title">
            </a>
            <a class="mod-picList__tit" href="$thislink"  title="$title">$title</a>
        </li>
        #end
    </ul>



