# 排行榜

## 调用语法参数说明

| 名字 | 描述 | 备注 |
| ---- | --- | ---- |
| 频道id/频道中文名 | 专区名字或中文名 ||
| tag | 获取排名的标签 ||
| start | 开始的位置 ||
| len | 获取的数量 ||
| startTime | 文章发表开始时间 | 可用具体日期，格式是：yyyy-MM-dd 如：2011-01-01；或者相对日期 $tools.getNDateBefore(n) 前n天 可以为0或者负数，负数代表今天后，0代表今天，1代表昨天的0时
| endTime | 文章发表结束时间 | 可用具体日期，格式是：yyyy-MM-dd 如： 2011-01-01；或者相对日期 $tools.getNDateLater(n) n天后 可以为0或者负数，负数代表今天前，0代表今天，1代表明天的0时
| 统计类型 | 按什么排名 | 可选“day_statistic_article”，“week_statistic_article”，“month_statistic_article” ，分别是按天，按周，按月|


    按天排名
    $data.getVoteRankDataByArticle(频道id/频道中文名,tag,start,len,"$tools.getNDateBefore(1)","$tools.getNDateLater(1)","day_statistic_article")

    按周排名
    $data.getVoteRankDataByArticle(频道id/频道中文名,tag,start,len,"$tools.getNDateBefore(6)","$tools.getNDateLater(1)","week_statistic_article")

    按月排名
    $data.getVoteRankDataByArticle(频道id/频道中文名,tag,start,len,"$tools.getNDateBefore(30)","$tools.getNDateLater(1)","month_statistic_article")


## 代码示例

    #set ($channelid='首页')
    #foreach($one in $data.getVoteRankDataByArticle("lol","重点",0,10,"$tools.getNDateBefore(1)","$tools.getNDateLater(1)","day_statistic_article"))
    #set ($reallink=$data.getUrl($channelid,$one.getString("articleid")))
    #set ($title=$one.getString("title"))
    #set ($sum=$one.sum)
    #set ($author=$one.getString('author'))
    <li>
        <a href="$reallink">$title</a>
        <span class="num">$sum</span>
        <span class="author">$author</span>
    </li>
    #end



